> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# UAN To Employment History - V2

> API to fetch the Employment History of the user linked with the UAN number.

## What’s New in v2?

⚙️ Better Uptime: We’ve made backend enhancements to ensure more consistent availability.

🔗 Reduced Source Failures: Improved handling of upstream dependencies for smoother performance.

📅 Date of Exit: Get clearer employment histories with the newly added date\_of\_exit field in each record.


## OpenAPI

````yaml GET /v2/verification/epfo/uan-to-employment-history
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v2/verification/epfo/uan-to-employment-history:
    get:
      tags:
        - EPFO
      summary: Uan To Employment History V2
      description: >-
        Retrieves employment history based on UAN number.


        This endpoint fetches the employment history associated with a given
        Universal Account Number (UAN).


        Args:
            request (Request): The incoming HTTP request object
            uan_number (str): Universal Account Number for which to fetch employment history 
            current_user (Client): Currently authenticated client user, injected via dependency
            generate_pdf (bool, optional): Flag to generate PDF report. Defaults to False
            background_tasks (BackgroundTasks, optional): Background task queue for async operations. Defaults to None

        Returns:
            The employment history data associated with the provided UAN number
      operationId: >-
        uan_to_employment_history_v2_v2_verification_epfo_uan_to_employment_history_get
      parameters:
        - required: true
          schema:
            title: Uan Number
            type: string
          name: uan_number
          in: query
        - required: false
          schema:
            title: Generate Pdf
            type: boolean
            default: false
            description: >-
              True or False, depending upon whether pdf needs to be generated or
              not.
          name: generate_pdf
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response 200 - Employment History Fetched / No History Found
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_200_SUCCESS
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_200_DETAILS_NOT_FOUND
              examples:
                200 - Employment History Fetched Successfully:
                  value:
                    code: 200
                    timestamp: 1738342015371
                    transaction_id: a00ad6a679d549d6bd002afdf2b226c0
                    sub_code: SUCCESS
                    message: Employment History fetched successfully
                    data:
                      pdf_url: null
                      employment_history:
                        - name: TAHIR AHMED CHOUDHURY
                          guardian_name: JOBUR AHMED CHOUDHURY
                          establishment_name: MODERN VEER RAYS SECURITY FORCE (INDIA) PVT LTD
                          member_id: BGBNG00420230000027886
                          date_of_joining: '2024-04-12'
                          date_of_exit: null
                          last_pf_submitted: '2025-01-15'
                200 - No Employment History Found:
                  value:
                    code: 200
                    timestamp: 1745493111117
                    transaction_id: 7066b2de80b942b9b2839cf6c6d5e01a
                    sub_code: DETAILS_NOT_FOUND
                    message: No linked employment history found
                    data: null
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                title: Response 400 - Inactive Client / Bad Request
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_400_INACTIVE_CLIENT
              examples:
                400 - Inactive Client:
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                title: >-
                  Response 401 - Unauthenticated / Invalid Client / Invalid
                  Credentials / Authorization Failure
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_401_UNAUTHENTICATED
              examples:
                401 - Unauthorized:
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                title: Response 403 - Token Expired / Access Forbidden
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_403_TOKEN_EXPIRED
              examples:
                403 - Invalid Token:
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_422_INVALID_UAN_NUMBER
              examples:
                422 - Invalid UAN Number:
                  value:
                    code: 422
                    timestamp: 1745493058587
                    transaction_id: 0d083294e47b4e288b45a80eefe2231d
                    sub_code: INVALID_UAN_NUMBER
                    message: Invalid UAN Number
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                title: Response 500 - Internal Server Error / Source Failure
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_500_INTERNAL_SERVER_ERROR
              examples:
                500 - Source Failure:
                  value:
                    code: 500
                    timestamp: 1745493217008
                    transaction_id: 27102776e67647a79c29ec20f2a2961e
                    sub_code: SOURCE_FAILURE
                    message: Source failure. Unable to validate.
components:
  schemas:
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_200_SUCCESS:
      title: Employment History Fetched Successfully
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: Employment History fetched successfully
        data:
          title: Data
          type: object
          properties:
            pdf_url:
              title: PDF URL
              type: string
              nullable: true
            employment_history:
              title: Employment History
              type: array
              items:
                type: object
                properties:
                  name:
                    title: Name
                    type: string
                  guardian_name:
                    title: Guardian Name
                    type: string
                  establishment_name:
                    title: Establishment Name
                    type: string
                  member_id:
                    title: Member Id
                    type: string
                  date_of_joining:
                    title: Date Of Joining
                    type: string
                  date_of_exit:
                    title: Date Of Exit
                    type: string
                    nullable: true
                  last_pf_submitted:
                    title: Last PF Submitted
                    type: string
                    nullable: true
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_200_DETAILS_NOT_FOUND:
      title: No Employment History Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: DETAILS_NOT_FOUND
        message:
          title: Message
          type: string
          default: No linked employment history found
        data:
          title: Data
          type: object
          nullable: true
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_403_TOKEN_EXPIRED:
      title: Token Expired
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_422_INVALID_UAN_NUMBER:
      title: Invalid UAN Number
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_UAN_NUMBER
        message:
          title: Message
          type: string
          default: Invalid UAN Number
    RESPONSE_UAN_TO_EMPLOYMENT_HISTORY_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 500
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INTERNAL_SERVER_ERROR
        message:
          title: Message
          type: string
          default: Internal Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.